#ifndef CCAM_MV_H
#define CCAM_MV_H
#include <WinSock2.h>
#include <windows.h>
#include "CameraApi.h"
#include "ccam.h"
#include "export_cam_driver_impl.h"
#define MVCAMFUN(f) do    \
{                \
    int irtn=(f);    \
    if(irtn)   \
    {MQT_THROW_STR(QObject::trUtf8("MindVision cam Function %1 exe err,Err Id:%2")\
    .arg(#f).arg(irtn));}    \
    }while(0);

class CAM_DRIVER_IMPL_EXPORT CCam_MV : public CCam
{
public:
    CCam_MV(const QString& name, int32_t id);
    tSdkCameraDevInfo       m_MVCamInfo;
    tSdkCameraCapbility     m_MVCamCapbility;
    int                     m_MVCamHandle;
    tSdkFrameHead           m_MVCamFrameHead;
    int32_t init_channel();
    int32_t exit_channel();
};

#endif // CCAM_MV_H
